<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Lucky</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>

<body>
    <div class="container">
        <div class="row mt-3">
            <div class="col-sm-5">
                <h1 class="bg-primary p-3">Hello Devcamp120!</h1>
            </div>
        </div>
        <div class="row mt-3">
            <div class="col-sm-6">
                <p class="bg-warning p-3" id="p-date"></p>
            </div>
        </div>
        <div class="row mt-3">
            <div class="col-sm-5">
                <p class="bg-success" id="p-text-api"></p>
            </div>
        </div>
        <div class="row mt-3">
            <p>Hello Pizza Light ! application
            </p>
        </div>
    </div>

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        goiApiSoMayMan();
        goiApiDate();
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function goiApiSoMayMan() {
        $.ajax({
            url: "http://localhost:8080/api/dice?username=QuangDa",
            type: "GET",
            success: function (paramRes) {
                $("#p-text-api").html(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })
    }
    function goiApiDate() {
        $.ajax({
            url: "http://localhost:8080/api/devcamp-date",
            type: "GET",
            success: function (paramRes) {
                $("#p-date").html(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/

</script>

</html>